commit:     0d350ca393b94d06addaa371ecf533624ac2c9ae
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May  4 10:51:30 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May  4 10:51:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d350ca3

dev-vcs/git: drop 2.39.1, 2.40.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-vcs/git/Manifest          |   6 -
 dev-vcs/git/git-2.39.1.ebuild | 644 ------------------------------------------
 dev-vcs/git/git-2.40.0.ebuild | 644 ------------------------------------------
 3 files changed, 1294 deletions(-)

diff --git a/dev-vcs/git/Manifest b/dev-vcs/git/Manifest
index 38610bf9e612..cb84a7820de9 100644
--- a/dev-vcs/git/Manifest
+++ b/dev-vcs/git/Manifest
@@ -1,15 +1,9 @@
-DIST git-2.39.1.tar.xz 7160744 BLAKE2B 
5ebf583232da9f6a937ebba17858b9fa8b550e3d0d981ff5603f77673cce69bf9a3c1c18c61d4c5e6b2f629a8173eaef8a09c913961d175571e4e6b00d2b194d
 SHA512 
b1821a814947f01adf98206a7e9a01da9daa617b1192e8ef6968b05af8d874f028fb26b5f828a9c48f734ef2c276f4d23bdc898ba46fb7aaa96dbe68081037e9
 DIST git-2.39.2.tar.xz 7163224 BLAKE2B 
bcd9abdaf8ce626de7aec2da666395f80212772aa17516f903459d683597184efeeb1d6aad536e0bf722a9bf63df98549fdeaab5b0a48e5500faf83ebf5d7516
 SHA512 
fdca70bee19401c5c7a6d2f3d70bd80b6ba99f6a9f97947de31d4366ee3a78a18d5298abb25727ec8ef67131bca673e48dff2a5a050b6e032884ab04066b20cb
 DIST git-2.39.3.tar.xz 7166100 BLAKE2B 
862a5636df681e46797034bf22ca7712d70ead94ac0a911b81e4eeb3c83e67fdc56b839055b3b54bdab0ffceabe9fa2efb9e2870b1c0f40590ddb33e7427cd2a
 SHA512 
ddd9f41df9d59aedaddb3a3cd551c105903b5f8c86455d4d05a8342920d67754b358b6ab0d6c10cca743b8e0e621baea16f71a9d6290f4d37297a9c45e8b3763
-DIST git-2.40.0.tar.xz 7183692 BLAKE2B 
e2687ceb7e341170f063013c8c0e8be81456cda786981f36170aefb714687d78cf850287e5fb35d98e7326f611881ffd27d380728c87b9306fbbe46c1b989d69
 SHA512 
a2720f8f9a0258c0bb5e23badcfd68a147682e45a5d039a42c47128296c508109d5039029db89311a35db97a9008585e84ed11b400846502c9be913d67f0fd90
 DIST git-2.40.1.tar.xz 7185260 BLAKE2B 
50957227a572db54b931976d4c22edeaf0d5678d05d37f9478e736487d3e0755c1d70775cea9e3ce82e07f228fa809f3b461fb5b7f267117cc5aeffff915c096
 SHA512 
9ab41c64c6e666c314683bc4925535e037d43f947b8d327ff7d0379ac12899f4effcc2fe4e47b1ce652ad7140aa4f01f3b99f9cc0cf854cfeface1a5d3e1893e
-DIST git-htmldocs-2.39.1.tar.xz 1504172 BLAKE2B 
64a73a2b04e99b0bf18ab2153076bcbae9c114a31c9ab998c5e068f0ce6c0f5140e9db79008b1b01688db6a6d53e84fde8b2319eb45394aa6bc2df361be78520
 SHA512 
9b67b0464acd5651ef5871f724c59c910195cdd7020ecdcadced6e8e1275269ee1ca5808881e67e908114cb4ef27c959320f1e3d718b6699d3761281b6179600
 DIST git-htmldocs-2.39.2.tar.xz 1505352 BLAKE2B 
8b60f9bae9585aab8782f38ff64391a9c8fddeed47d84a989b4f65db87c14e927d1d975fa5239435e921dbc74a75c600d6f0485defa1a235a66355c0f8d9060d
 SHA512 
fe0982e653784285bce7f158956892900ae9c88aa986261de4184e3349e34ee54f92d7280e143031b107872fc1729814489f6e355aa12dc415d724da65ec3716
 DIST git-htmldocs-2.39.3.tar.xz 1506828 BLAKE2B 
732e86ee004a44230d8f10eac16a14fbfb348d4278001011a0d22ba91240fbe65cad341b0547b649db3ce7fc67fc6fb544c896e7ba4bd7f1fa3c9b42371febf9
 SHA512 
7616c9c6600759f06973d36d5233b3909da72f39318410f5522b890d282a74e7585433c7195fed4792d5b7955292a466abcc2185ffdc23d0e8928ad58d7db1bf
-DIST git-htmldocs-2.40.0.tar.xz 1517292 BLAKE2B 
1baa47344e8c41c529e6ea21fa9ab406d146e128c2154beceb1d2ddf993cebdfeca132ed86811ef062df38e1ecc541dd2285bca0d985e7cc8ce185422d53f9b4
 SHA512 
3295e6b5e69430b3900ade93484cc357dd69d59ffccef0b62648d4aefc5d3e0820bd81dde2ec5ad0f3983c9c3a3648fa6edea508e870ebc0194cf6d42137aee2
 DIST git-htmldocs-2.40.1.tar.xz 1517900 BLAKE2B 
864edd5b2389362dcf5d0c9f08cbf3bac6303cf6505b2d5446e73aeb591ac9212948b6f68434671e3bfba6f64d6aff02d315848d08647d22177292775411e5b3
 SHA512 
770c9765bab1f0773615d67f4eb817c42e1a946da205381ac0c208c4b2d4185c351aebbd7294afe66ef794b65cc9123b255a585a3df2990b5dfe779aaacb0800
-DIST git-manpages-2.39.1.tar.xz 557012 BLAKE2B 
1a39a1192443eac0d12da059e0146d286272054192810d12f53f627bd341c3dc50bea2078cccac0d46c5e95502a1d669f072ab387e1662c890e5c38d46ad3f31
 SHA512 
4f1fdd7abf53dd60478ffc5f926777cd00446a3799ad9a2129814adfe7d3d63e13dd9bcdcea699fd139c9e134cf45857f0585ce2772e4fb93e4930c8f86a08bb
 DIST git-manpages-2.39.2.tar.xz 557080 BLAKE2B 
6b2dbb33f1041ba802582f529638b8b4574309efbf5af94add5c676efed7314743d5b326ec18a95ba85a4fe818e95913069717034a9863879e1d03ee32b839ba
 SHA512 
6326ff43564fc42ca0a424edd17896434e11c09ce21f4bfd4d4975aaaf7f2c0d823da0e89b267557b0b7799c342db88d84685d24f589f53edfe486208c1f15b1
 DIST git-manpages-2.39.3.tar.xz 557428 BLAKE2B 
4eb85035f7056a12c3f1276d26f99b3337b97721f8f4b0b3c74d2a484171bfdf74f566a03e175ba32b389c940ed7be66ce2933442ec77089d5db3aaeb2ed2557
 SHA512 
06414741667b990ff3a28f7cb29b502df3d4cc757d525438994af005c71d429ca969563a74d1d2b44185e5c40107ac8838b390835a8a947e542ce3636b43f98b
-DIST git-manpages-2.40.0.tar.xz 562824 BLAKE2B 
9e57d39c2111fc3a109d355773bc191110ac421bc1b0b9bdeeb13e84d8934ad4bdb8c7439bc7fe8f1ffea505e4ea6d14ab4fdf689e828e841cf0af8d2eb3cd12
 SHA512 
7415db5fd30239c7f5a51c40c3e94870ef6896df0d78a88bbe91c38d58e4d9802e12e1de2cb03634a52ad4a5877c9d7e1194c284567288ed4263788c48c8cff0
 DIST git-manpages-2.40.1.tar.xz 562772 BLAKE2B 
091c907195b37ed4152698515528d7da27f8dbf2516915ae66ba6f81a64bbd9f2042544889fe655ea7447bd6f32adaf8daec9c02743587a84b090554ad58796b
 SHA512 
4e75f5ae3786658d284ce8eae3133c01115e357cc0bd2c4c5bf4261196411da632f51c87ff6e4c1f4bc7adf7b7b4a33c4debe52bcd9b5d735aa70dd9614ad5bd

diff --git a/dev-vcs/git/git-2.39.1.ebuild b/dev-vcs/git/git-2.39.1.ebuild
deleted file mode 100644
index 26e5cfe14e2f..000000000000
--- a/dev-vcs/git/git-2.39.1.ebuild
+++ /dev/null
@@ -1,644 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit toolchain-funcs perl-module bash-completion-r1 optfeature plocale 
python-single-r1 systemd
-
-PLOCALES="bg ca de es fr is it ko pt_PT ru sv vi zh_CN"
-
-if [[ ${PV} == *9999 ]]; then
-       EGIT_REPO_URI="https://git.kernel.org/pub/scm/git/git.git";
-
-       inherit git-r3
-       # Please ensure that all _four_ 9999 ebuilds get updated; they track 
the 4 upstream branches.
-       # See https://git-scm.com/docs/gitworkflows#_graduation
-       # In order of stability:
-       # 9999-r0: maint
-       # 9999-r1: master
-       # 9999-r2: next
-       # 9999-r3: seen
-       case ${PVR} in
-               9999) EGIT_BRANCH=maint ;;
-               9999-r1) EGIT_BRANCH=master ;;
-               9999-r2) EGIT_BRANCH=next;;
-               9999-r3) EGIT_BRANCH=seen ;;
-       esac
-fi
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER="${MY_PV}"
-
-DESCRIPTION="Stupid content tracker: distributed VCS designed for speed and 
efficiency"
-HOMEPAGE="https://www.git-scm.com/";
-
-if [[ ${PV} != *9999 ]]; then
-       SRC_URI_SUFFIX="xz"
-       SRC_URI_KORG="https://www.kernel.org/pub/software/scm/git";
-
-       [[ ${PV/rc} != ${PV} ]] && SRC_URI_KORG+='/testing'
-
-       SRC_URI="${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
-       SRC_URI+=" 
${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}"
-       SRC_URI+=" doc? ( 
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX} )"
-
-       if [[ ${PV} != *_rc* ]] ; then
-               KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips 
ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-       fi
-fi
-
-S="${WORKDIR}"/${MY_P}
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc gnome-keyring +gpg highlight +iconv mediawiki 
+nls +pcre perforce +perl +safe-directory selinux subversion tk +webdav xinetd 
cvs test"
-
-# Common to both DEPEND and RDEPEND
-DEPEND="
-       dev-libs/openssl:=
-       sys-libs/zlib
-       curl? (
-               net-misc/curl
-               webdav? ( dev-libs/expat )
-       )
-       gnome-keyring? (
-               app-crypt/libsecret
-               dev-libs/glib:2
-       )
-       iconv? ( virtual/libiconv )
-       pcre? ( dev-libs/libpcre2:= )
-       perl? ( dev-lang/perl:=[-build(-)] )
-       tk? ( dev-lang/tk:= )
-"
-RDEPEND="
-       ${DEPEND}
-       gpg? ( app-crypt/gnupg )
-       perl? (
-               dev-perl/Error
-               dev-perl/MailTools
-               dev-perl/Authen-SASL
-               >=virtual/perl-libnet-3.110.0-r4[ssl]
-               cgi? (
-                       dev-perl/CGI
-                       highlight? ( app-text/highlight )
-               )
-               cvs? (
-                       >=dev-vcs/cvsps-2.1:0
-                       dev-perl/DBI
-                       dev-perl/DBD-SQLite
-               )
-               mediawiki? (
-                       dev-perl/DateTime-Format-ISO8601
-                       dev-perl/HTML-Tree
-                       dev-perl/MediaWiki-API
-               )
-               subversion? (
-                       dev-vcs/subversion[-dso(-),perl]
-                       dev-perl/libwww-perl
-                       dev-perl/TermReadKey
-               )
-       )
-       perforce? ( ${PYTHON_DEPS} )
-       selinux? ( sec-policy/selinux-git )
-"
-
-# This is how info docs are created with Git:
-#   .txt/asciidoc --(asciidoc)---------> .xml/docbook
-#   .xml/docbook  --(docbook2texi.pl)--> .texi
-#   .texi         --(makeinfo)---------> .info
-BDEPEND="
-       doc? (
-               app-text/asciidoc
-               app-text/docbook2X
-               app-text/xmlto
-               sys-apps/texinfo
-       )
-       gnome-keyring? ( virtual/pkgconfig )
-       nls? ( sys-devel/gettext )
-       test? ( app-crypt/gnupg )
-"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
-       BDEPEND+=" app-text/asciidoc"
-fi
-
-SITEFILE="50${PN}-gentoo.el"
-
-REQUIRED_USE="
-       cgi? ( perl )
-       cvs? ( perl )
-       mediawiki? ( perl )
-       perforce? ( ${PYTHON_REQUIRED_USE} )
-       subversion? ( perl )
-       webdav? ( curl )
-"
-
-RESTRICT="!test? ( test )"
-
-PATCHES=(
-       # Avoid automagic CVS, bug #350330
-       "${FILESDIR}"/git-2.37.0_rc1-optional-cvs.patch
-
-       # Make submodule output quiet
-       "${FILESDIR}"/git-2.21.0-quiet-submodules-testcase.patch
-)
-
-pkg_setup() {
-       if use subversion && has_version "dev-vcs/subversion[dso]" ; then
-               ewarn "Per Gentoo bugs #223747, #238586, when subversion is 
built"
-               ewarn "with USE=dso, there may be weird crashes in git-svn. You"
-               ewarn "have been warned!"
-       fi
-
-       if use perforce ; then
-               python-single-r1_pkg_setup
-       fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
-       local extlibs myopts
-
-       myopts=(
-               ASCIIDOC_NO_ROFF=YesPlease
-
-               $(usex perl 'INSTALLDIRS=vendor 
NO_PERL_CPAN_FALLBACKS=YesPlease' NO_PERL=YesPlease)
-
-               $(usev elibc_musl NO_REGEX=NeedsStartEnd)
-               $(usev !cvs NO_CVS=YesPlease)
-               $(usev !iconv NO_ICONV=YesPlease)
-               $(usev !nls NO_GETTEXT=YesPlease)
-               $(usev !perforce NO_PYTHON=YesPlease)
-               $(usev !subversion NO_SVN_TESTS=YesPlease)
-               $(usev !tk NO_TCLTK=YesPlease)
-       )
-
-       if use blksha1 ; then
-               myopts+=( BLK_SHA1=YesPlease )
-       fi
-
-       if use curl ; then
-               use webdav || myopts+=( NO_EXPAT=YesPlease )
-       else
-               myopts+=( NO_CURL=YesPlease )
-       fi
-
-       # Broken assumptions because of static build system
-       myopts+=(
-               NO_FINK=YesPlease
-               NO_DARWIN_PORTS=YesPlease
-               INSTALL=install
-               TAR=tar
-               SHELL_PATH="${EPREFIX}/bin/sh"
-               SANE_TOOL_PATH=
-               OLD_ICONV=
-               NO_EXTERNAL_GREP=
-       )
-
-       # Can't define this to null, since the entire makefile depends on it
-       sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile || die
-
-       if use pcre; then
-               myopts+=( USE_LIBPCRE2=YesPlease )
-               extlibs+=( -lpcre2-8 )
-       fi
-
-       if [[ ${CHOST} == *-solaris* ]]; then
-               myopts+=(
-                       NEEDS_LIBICONV=YesPlease
-                       HAVE_CLOCK_MONOTONIC=1
-               )
-
-               if grep -Fq getdelim "${ESYSROOT}"/usr/include/stdio.h ; then
-                       myopts+=( HAVE_GETDELIM=1 )
-               fi
-       fi
-
-       myopts+=( ASCIIDOC8=YesPlease )
-
-       export MY_MAKEOPTS="${myopts[@]}"
-       export EXTLIBS="${extlibs[@]}"
-}
-
-src_unpack() {
-       if [[ ${PV} != *9999 ]] ; then
-               unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
-
-               cd "${S}" || die
-               unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-
-               if use doc ; then
-                       pushd "${S}"/Documentation &>/dev/null || die
-                       unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       popd &>/dev/null || die
-               fi
-       else
-               git-r3_src_unpack
-               #cp "${FILESDIR}"/GIT-VERSION-GEN . || die
-       fi
-
-}
-
-src_prepare() {
-       if ! use safe-directory ; then
-               # This patch neuters the "safe directory" detection.
-               # bugs #838271, #838223
-               PATCHES+=(
-                       "${FILESDIR}"/git-2.37.2-unsafe-directory.patch
-               )
-       fi
-
-       default
-
-       if use prefix ; then
-               # bug #757309
-               eapply "${FILESDIR}"/git-2.37.2-darwin-prefix-gettext.patch
-       fi
-
-       sed -i \
-               -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
-               -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
-               -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
-               -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
-               -e 
"s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
-               -e 
"s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
-               Makefile || die
-
-       # Fix docbook2texi command
-       sed -r -i 
's/DOCBOOK2X_TEXI[[:space:]]*=[[:space:]]*docbook2x-texi/DOCBOOK2X_TEXI = 
docbook2texi.pl/' \
-               Documentation/Makefile || die
-}
-
-git_emake() {
-       # bug #320647: PYTHON_PATH
-       local PYTHON_PATH=""
-       use perforce && PYTHON_PATH="${PYTHON}"
-
-       local mymakeargs=(
-               ${MY_MAKEOPTS}
-
-               prefix="${EPREFIX}"/usr
-               htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
-               perllibdir="$(use perl && perl_get_raw_vendorlib)"
-               sysconfdir="${EPREFIX}"/etc
-
-               CC="$(tc-getCC)"
-               CFLAGS="${CFLAGS}"
-               PKG_CONFIG="$(tc-getPKG_CONFIG)"
-
-               # TODO: --verbose?
-               GIT_TEST_OPTS="--no-color"
-
-               OPTAR="$(tc-getAR)"
-               OPTCC="$(tc-getCC)"
-               OPTCFLAGS="${CFLAGS}"
-               OPTLDFLAGS="${LDFLAGS}"
-
-               PERL_PATH="${EPREFIX}/usr/bin/perl"
-               PERL_MM_OPT=""
-
-               PYTHON_PATH="${PYTHON_PATH}"
-
-               V=1
-               "$@"
-       )
-
-       emake "${mymakeargs[@]}"
-}
-
-src_configure() {
-       exportmakeopts
-}
-
-src_compile() {
-       git_emake
-
-       if use perl && use cgi ; then
-               git_emake gitweb
-       fi
-
-       if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
-               git_emake -C contrib/credential/osxkeychain
-       fi
-
-       pushd Documentation &>/dev/null || die
-       if [[ ${PV} == *9999 ]] ; then
-               git_emake man
-               if use doc ; then
-                       git_emake info html
-               fi
-       else
-               if use doc ; then
-                       git_emake info
-               fi
-       fi
-       popd &>/dev/null || die
-
-       if use gnome-keyring ; then
-               git_emake -C contrib/credential/libsecret
-       fi
-
-       pushd contrib/subtree &>/dev/null || die
-       git_emake git-subtree
-       # git-subtree.1 requires the full USE=doc dependency stack
-       use doc && git_emake git-subtree.html git-subtree.1
-       popd &>/dev/null || die
-
-       git_emake -C contrib/diff-highlight
-
-       if use mediawiki ; then
-               git_emake -C contrib/mw-to-git
-       fi
-}
-
-src_test() {
-       local disabled=(
-               # We make safe-directory optional
-               t0033-safe-directory.sh
-       )
-
-       local tests_cvs=(
-               t9200-git-cvsexportcommit.sh
-               t9400-git-cvsserver-server.sh
-               t9401-git-cvsserver-crlf.sh
-               t9402-git-cvsserver-refs.sh
-               t9600-cvsimport.sh
-               t9601-cvsimport-vendor-branch.sh
-               t9602-cvsimport-branches-tags.sh
-               t9603-cvsimport-patchsets.sh
-               t9604-cvsimport-timestamps.sh
-       )
-
-       local tests_perl=(
-               t3701-add-interactive.sh
-               t5502-quickfetch.sh
-               t5512-ls-remote.sh
-               t5520-pull.sh
-               t7106-reset-unborn-branch.sh
-               t7501-commit.sh
-       )
-       # Bug #225601 - t0004 is not suitable for root perm
-       # Bug #219839 - t1004 is not suitable for root perm
-       # t0001-init.sh - check for init notices EPERM*  fails
-       local tests_nonroot=(
-               t0001-init.sh
-               t0004-unwritable.sh
-               t0070-fundamental.sh
-               t1004-read-tree-m-u-wf.sh
-               t3700-add.sh
-               t7300-clean.sh
-       )
-       # t9100 still fails with symlinks in SVN 1.7
-       local test_svn=( t9100-git-svn-basic.sh )
-
-       # Unzip is used only for the testcase code, not by any normal parts of 
Git.
-       if ! has_version app-arch/unzip ; then
-               einfo "Disabling tar-tree tests"
-               disabled+=( t5000-tar-tree.sh )
-       fi
-
-       local cvs=0
-       use cvs && let cvs=${cvs}+1
-       if [[ ${EUID} -eq 0 ]] ; then
-               if [[ ${cvs} -eq 1 ]] ; then
-                       ewarn "Skipping CVS tests because CVS does not work as 
root!"
-                       ewarn "You should retest with FEATURES=userpriv!"
-                       disabled+=( ${tests_cvs[@]} )
-               fi
-               einfo "Skipping other tests that require being non-root"
-               disabled+=( ${tests_nonroot[@]} )
-       else
-               if [[ ${cvs} -gt 0 ]] && has_version dev-vcs/cvs ; then
-                       let cvs=${cvs}+1
-               fi
-
-               if [[ ${cvs} -gt 1 ]] && has_version "dev-vcs/cvs[server]" ; 
then
-                       let cvs=${cvs}+1
-               fi
-
-               if [[ ${cvs} -lt 3 ]] ; then
-                       einfo "Disabling CVS tests (needs 
dev-vcs/cvs[USE=server])"
-                       disabled+=( ${tests_cvs[@]} )
-               fi
-       fi
-
-       if ! use perl ; then
-               einfo "Disabling tests that need Perl"
-               disabled+=( ${tests_perl[@]} )
-       fi
-
-       einfo "Disabling tests that fail with SVN 1.7"
-       disabled+=( ${test_svn[@]} )
-
-       # Reset all previously disabled tests
-       pushd t &>/dev/null || die
-       local i
-       for i in *.sh.DISABLED ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
-       done
-       einfo "Disabled tests:"
-       for i in ${disabled[@]} ; do
-               if [[ -f "${i}" ]] ; then
-                       mv -f "${i}" "${i}.DISABLED" && einfo "Disabled ${i}"
-               fi
-       done
-
-       # Avoid the test system removing the results because we want them 
ourselves
-       sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' -i Makefile || die
-
-       # Clean old results first, must always run
-       nonfatal git_emake clean
-       popd &>/dev/null || die
-
-       # Now run the tests, keep going if we hit an error, and don't terminate 
on
-       # failure
-       local rc
-       einfo "Start test run"
-       #MAKEOPTS=-j1
-       nonfatal git_emake --keep-going test
-       rc=$?
-
-       # Display nice results, now print the results
-       pushd t &>/dev/null || die
-       nonfatal git_emake aggregate-results
-
-       # And bail if there was a problem
-       [[ ${rc} -eq 0 ]] || die "Tests failed. Please file a bug!"
-}
-
-src_install() {
-       git_emake DESTDIR="${D}" install
-
-       if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
-               dobin contrib/credential/osxkeychain/git-credential-osxkeychain
-       fi
-
-       # Depending on the tarball and manual rebuild of the documentation, the
-       # manpages may exist in either OR both of these directories.
-       find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
-       find Documentation/*.[157] >/dev/null 2>&1 && doman 
Documentation/*.[157]
-       dodoc README* Documentation/{SubmittingPatches,CodingGuidelines}
-       use doc && dodir /usr/share/doc/${PF}/html
-       local d
-       for d in / /howto/ /technical/ ; do
-               docinto ${d}
-               dodoc Documentation${d}*.txt
-               if use doc ; then
-                       docinto ${d}/html
-                       dodoc Documentation${d}*.html
-               fi
-       done
-       docinto /
-       # Upstream does not ship this pre-built :-(
-       use doc && doinfo Documentation/{git,gitman}.info
-
-       newbashcomp contrib/completion/git-completion.bash ${PN}
-       bashcomp_alias git gitk
-       # Not really a bash-completion file (bug #477920)
-       # but still needed uncompressed (bug #507480)
-       insinto /usr/share/${PN}
-       doins contrib/completion/git-prompt.sh
-
-       #dobin contrib/fast-import/git-p4 # Moved upstream
-       #dodoc contrib/fast-import/git-p4.txt # Moved upstream
-       newbin contrib/fast-import/import-tars.perl import-tars
-       exeinto /usr/libexec/git-core/
-       newexe contrib/git-resurrect.sh git-resurrect
-
-       # git-subtree
-       pushd contrib/subtree &>/dev/null || die
-       git_emake DESTDIR="${D}" install
-       if use doc ; then
-               # Do not move git subtree install-man outside USE=doc!
-               git_emake DESTDIR="${D}" install-man install-html
-       fi
-       newdoc README README.git-subtree
-       dodoc git-subtree.txt
-       popd &>/dev/null || die
-
-       if use mediawiki ; then
-               git_emake -C contrib/mw-to-git DESTDIR="${D}" install
-       fi
-
-       # diff-highlight
-       dobin contrib/diff-highlight/diff-highlight
-       newdoc contrib/diff-highlight/README README.diff-highlight
-
-       # git-jump
-       exeinto /usr/libexec/git-core/
-       doexe contrib/git-jump/git-jump
-       newdoc contrib/git-jump/README git-jump.txt
-
-       # git-contacts
-       exeinto /usr/libexec/git-core/
-       doexe contrib/contacts/git-contacts
-       dodoc contrib/contacts/git-contacts.txt
-
-       if use gnome-keyring ; then
-               pushd contrib/credential/libsecret &>/dev/null || die
-               dobin git-credential-libsecret
-               popd &>/dev/null || die
-       fi
-
-       dodir /usr/share/${PN}/contrib
-       # The following are excluded:
-       # completion - installed above
-       # diff-highlight - done above
-       # emacs - removed upstream
-       # examples - these are stuff that is not used in Git anymore actually
-       # git-jump - done above
-       # gitview - installed above
-       # p4import - excluded because fast-import has a better one
-       # patches - stuff the Git guys made to go upstream to other places
-       # persistent-https - TODO
-       # mw-to-git - TODO
-       # subtree - build  seperately
-       # svnimport - use git-svn
-       # thunderbird-patch-inline - fixes thunderbird
-       local contrib_objects=(
-               buildsystems
-               fast-import
-               hg-to-git
-               hooks
-               remotes2config.sh
-               rerere-train.sh
-               stats
-               workdir
-       )
-       local i
-       for i in "${contrib_objects[@]}" ; do
-               cp -rf "${S}"/contrib/${i} "${ED}"/usr/share/${PN}/contrib || 
die "Failed contrib ${i}"
-       done
-
-       if use perl && use cgi ; then
-               # We used to install in /usr/share/${PN}/gitweb
-               # but upstream installs in /usr/share/gitweb
-               # so we will install a symlink and use their location for 
compat with other
-               # distros
-               dosym ../gitweb /usr/share/${PN}/gitweb
-
-               # INSTALL discusses configuration issues, not just installation
-               docinto /
-               newdoc  "${S}"/gitweb/INSTALL INSTALL.gitweb
-               newdoc  "${S}"/gitweb/README README.gitweb
-
-               for d in "${ED}"/usr/lib{,64}/perl5/ ; do
-                       if [[ -d "${d}" ]] ; then
-                               find "${d}" -name .packlist -delete || die
-                       fi
-               done
-       else
-               rm -rf "${ED}"/usr/share/gitweb
-       fi
-
-       if ! use subversion ; then
-               rm -f "${ED}"/usr/libexec/git-core/git-svn \
-                       "${ED}"/usr/share/man/man1/git-svn.1*
-       fi
-
-       if use xinetd ; then
-               insinto /etc/xinetd.d
-               newins "${FILESDIR}"/git-daemon.xinetd git-daemon
-       fi
-
-       if ! use prefix ; then
-               newinitd "${FILESDIR}"/git-daemon-r2.initd git-daemon
-               newconfd "${FILESDIR}"/git-daemon.confd git-daemon
-               systemd_newunit "${FILESDIR}/git-daemon_at-r1.service" 
"[email protected]"
-               systemd_dounit "${FILESDIR}/git-daemon.socket"
-       fi
-
-       perl_delete_localpod
-
-       # Remove disabled linguas
-       # we could remove sources in src_prepare, but install does not
-       # handle missing locale dir well
-       rm_loc() {
-               if [[ -e "${ED}/usr/share/locale/${1}" ]] ; then
-                       rm -r "${ED}/usr/share/locale/${1}" || die
-               fi
-       }
-       plocale_for_each_disabled_locale rm_loc
-}
-
-pkg_postinst() {
-       if [[ -z ${REPLACING_VERSIONS} ]] ; then
-               elog "Please read /usr/share/bash-completion/completions/git 
for Git bash command"
-               elog "completion."
-               elog "Please read /usr/share/git/git-prompt.sh for Git bash 
prompt"
-               elog "Note that the prompt bash code is now in that separate 
script"
-       fi
-
-       optfeature_header "Some scripts require additional dependencies:"
-       optfeature git-quiltimport dev-util/quilt
-       optfeature git-instaweb www-servers/lighttpd www-servers/apache 
www-servers/nginx
-}

diff --git a/dev-vcs/git/git-2.40.0.ebuild b/dev-vcs/git/git-2.40.0.ebuild
deleted file mode 100644
index ce146cc61342..000000000000
--- a/dev-vcs/git/git-2.40.0.ebuild
+++ /dev/null
@@ -1,644 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-GENTOO_DEPEND_ON_PERL=no
-
-# bug #329479: git-remote-testgit is not multiple-version aware
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit toolchain-funcs perl-module bash-completion-r1 optfeature plocale 
python-single-r1 systemd
-
-PLOCALES="bg ca de es fr is it ko pt_PT ru sv vi zh_CN"
-
-if [[ ${PV} == *9999 ]]; then
-       EGIT_REPO_URI="https://git.kernel.org/pub/scm/git/git.git";
-
-       inherit git-r3
-       # Please ensure that all _four_ 9999 ebuilds get updated; they track 
the 4 upstream branches.
-       # See https://git-scm.com/docs/gitworkflows#_graduation
-       # In order of stability:
-       # 9999-r0: maint
-       # 9999-r1: master
-       # 9999-r2: next
-       # 9999-r3: seen
-       case ${PVR} in
-               9999) EGIT_BRANCH=maint ;;
-               9999-r1) EGIT_BRANCH=master ;;
-               9999-r2) EGIT_BRANCH=next;;
-               9999-r3) EGIT_BRANCH=seen ;;
-       esac
-fi
-
-MY_PV="${PV/_rc/.rc}"
-MY_P="${PN}-${MY_PV}"
-
-DOC_VER="${MY_PV}"
-
-DESCRIPTION="Stupid content tracker: distributed VCS designed for speed and 
efficiency"
-HOMEPAGE="https://www.git-scm.com/";
-
-if [[ ${PV} != *9999 ]]; then
-       SRC_URI_SUFFIX="xz"
-       SRC_URI_KORG="https://www.kernel.org/pub/software/scm/git";
-
-       [[ ${PV/rc} != ${PV} ]] && SRC_URI_KORG+='/testing'
-
-       SRC_URI="${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}"
-       SRC_URI+=" 
${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}"
-       SRC_URI+=" doc? ( 
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX} )"
-
-       if [[ ${PV} != *_rc* ]] ; then
-               KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k 
~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-       fi
-fi
-
-S="${WORKDIR}"/${MY_P}
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+blksha1 +curl cgi doc gnome-keyring +gpg highlight +iconv mediawiki 
+nls +pcre perforce +perl +safe-directory selinux subversion tk +webdav xinetd 
cvs test"
-
-# Common to both DEPEND and RDEPEND
-DEPEND="
-       dev-libs/openssl:=
-       sys-libs/zlib
-       curl? (
-               net-misc/curl
-               webdav? ( dev-libs/expat )
-       )
-       gnome-keyring? (
-               app-crypt/libsecret
-               dev-libs/glib:2
-       )
-       iconv? ( virtual/libiconv )
-       pcre? ( dev-libs/libpcre2:= )
-       perl? ( dev-lang/perl:=[-build(-)] )
-       tk? ( dev-lang/tk:= )
-"
-RDEPEND="
-       ${DEPEND}
-       gpg? ( app-crypt/gnupg )
-       perl? (
-               dev-perl/Error
-               dev-perl/MailTools
-               dev-perl/Authen-SASL
-               >=virtual/perl-libnet-3.110.0-r4[ssl]
-               cgi? (
-                       dev-perl/CGI
-                       highlight? ( app-text/highlight )
-               )
-               cvs? (
-                       >=dev-vcs/cvsps-2.1:0
-                       dev-perl/DBI
-                       dev-perl/DBD-SQLite
-               )
-               mediawiki? (
-                       dev-perl/DateTime-Format-ISO8601
-                       dev-perl/HTML-Tree
-                       dev-perl/MediaWiki-API
-               )
-               subversion? (
-                       dev-vcs/subversion[-dso(-),perl]
-                       dev-perl/libwww-perl
-                       dev-perl/TermReadKey
-               )
-       )
-       perforce? ( ${PYTHON_DEPS} )
-       selinux? ( sec-policy/selinux-git )
-"
-
-# This is how info docs are created with Git:
-#   .txt/asciidoc --(asciidoc)---------> .xml/docbook
-#   .xml/docbook  --(docbook2texi.pl)--> .texi
-#   .texi         --(makeinfo)---------> .info
-BDEPEND="
-       doc? (
-               app-text/asciidoc
-               app-text/docbook2X
-               app-text/xmlto
-               sys-apps/texinfo
-       )
-       gnome-keyring? ( virtual/pkgconfig )
-       nls? ( sys-devel/gettext )
-       test? ( app-crypt/gnupg )
-"
-
-# Live ebuild builds man pages and HTML docs, additionally
-if [[ ${PV} == *9999 ]]; then
-       BDEPEND+=" app-text/asciidoc"
-fi
-
-SITEFILE="50${PN}-gentoo.el"
-
-REQUIRED_USE="
-       cgi? ( perl )
-       cvs? ( perl )
-       mediawiki? ( perl )
-       perforce? ( ${PYTHON_REQUIRED_USE} )
-       subversion? ( perl )
-       webdav? ( curl )
-"
-
-RESTRICT="!test? ( test )"
-
-PATCHES=(
-       # Avoid automagic CVS, bug #350330
-       "${FILESDIR}"/git-2.37.0_rc1-optional-cvs.patch
-
-       # Make submodule output quiet
-       "${FILESDIR}"/git-2.21.0-quiet-submodules-testcase.patch
-)
-
-pkg_setup() {
-       if use subversion && has_version "dev-vcs/subversion[dso]" ; then
-               ewarn "Per Gentoo bugs #223747, #238586, when subversion is 
built"
-               ewarn "with USE=dso, there may be weird crashes in git-svn. You"
-               ewarn "have been warned!"
-       fi
-
-       if use perforce ; then
-               python-single-r1_pkg_setup
-       fi
-}
-
-# This is needed because for some obscure reasons future calls to make don't
-# pick up these exports if we export them in src_unpack()
-exportmakeopts() {
-       local extlibs myopts
-
-       myopts=(
-               ASCIIDOC_NO_ROFF=YesPlease
-
-               $(usex perl 'INSTALLDIRS=vendor 
NO_PERL_CPAN_FALLBACKS=YesPlease' NO_PERL=YesPlease)
-
-               $(usev elibc_musl NO_REGEX=NeedsStartEnd)
-               $(usev !cvs NO_CVS=YesPlease)
-               $(usev !iconv NO_ICONV=YesPlease)
-               $(usev !nls NO_GETTEXT=YesPlease)
-               $(usev !perforce NO_PYTHON=YesPlease)
-               $(usev !subversion NO_SVN_TESTS=YesPlease)
-               $(usev !tk NO_TCLTK=YesPlease)
-       )
-
-       if use blksha1 ; then
-               myopts+=( BLK_SHA1=YesPlease )
-       fi
-
-       if use curl ; then
-               use webdav || myopts+=( NO_EXPAT=YesPlease )
-       else
-               myopts+=( NO_CURL=YesPlease )
-       fi
-
-       # Broken assumptions because of static build system
-       myopts+=(
-               NO_FINK=YesPlease
-               NO_DARWIN_PORTS=YesPlease
-               INSTALL=install
-               TAR=tar
-               SHELL_PATH="${EPREFIX}/bin/sh"
-               SANE_TOOL_PATH=
-               OLD_ICONV=
-               NO_EXTERNAL_GREP=
-       )
-
-       # Can't define this to null, since the entire makefile depends on it
-       sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile || die
-
-       if use pcre; then
-               myopts+=( USE_LIBPCRE2=YesPlease )
-               extlibs+=( -lpcre2-8 )
-       fi
-
-       if [[ ${CHOST} == *-solaris* ]]; then
-               myopts+=(
-                       NEEDS_LIBICONV=YesPlease
-                       HAVE_CLOCK_MONOTONIC=1
-               )
-
-               if grep -Fq getdelim "${ESYSROOT}"/usr/include/stdio.h ; then
-                       myopts+=( HAVE_GETDELIM=1 )
-               fi
-       fi
-
-       myopts+=( ASCIIDOC8=YesPlease )
-
-       export MY_MAKEOPTS="${myopts[@]}"
-       export EXTLIBS="${extlibs[@]}"
-}
-
-src_unpack() {
-       if [[ ${PV} != *9999 ]] ; then
-               unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
-
-               cd "${S}" || die
-               unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-
-               if use doc ; then
-                       pushd "${S}"/Documentation &>/dev/null || die
-                       unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
-                       popd &>/dev/null || die
-               fi
-       else
-               git-r3_src_unpack
-               #cp "${FILESDIR}"/GIT-VERSION-GEN . || die
-       fi
-
-}
-
-src_prepare() {
-       if ! use safe-directory ; then
-               # This patch neuters the "safe directory" detection.
-               # bugs #838271, #838223
-               PATCHES+=(
-                       "${FILESDIR}"/git-2.37.2-unsafe-directory.patch
-               )
-       fi
-
-       default
-
-       if use prefix ; then
-               # bug #757309
-               eapply "${FILESDIR}"/git-2.37.2-darwin-prefix-gettext.patch
-       fi
-
-       sed -i \
-               -e 's:^\(CFLAGS[[:space:]]*=\).*$:\1 $(OPTCFLAGS) -Wall:' \
-               -e 's:^\(LDFLAGS[[:space:]]*=\).*$:\1 $(OPTLDFLAGS):' \
-               -e 's:^\(CC[[:space:]]* =\).*$:\1$(OPTCC):' \
-               -e 's:^\(AR[[:space:]]* =\).*$:\1$(OPTAR):' \
-               -e 
"s:\(PYTHON_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
-               -e 
"s:\(PERL_PATH[[:space:]]\+=[[:space:]]\+\)\(.*\)$:\1${EPREFIX}\2:" \
-               Makefile || die
-
-       # Fix docbook2texi command
-       sed -r -i 
's/DOCBOOK2X_TEXI[[:space:]]*=[[:space:]]*docbook2x-texi/DOCBOOK2X_TEXI = 
docbook2texi.pl/' \
-               Documentation/Makefile || die
-}
-
-git_emake() {
-       # bug #320647: PYTHON_PATH
-       local PYTHON_PATH=""
-       use perforce && PYTHON_PATH="${PYTHON}"
-
-       local mymakeargs=(
-               ${MY_MAKEOPTS}
-
-               prefix="${EPREFIX}"/usr
-               htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
-               perllibdir="$(use perl && perl_get_raw_vendorlib)"
-               sysconfdir="${EPREFIX}"/etc
-
-               CC="$(tc-getCC)"
-               CFLAGS="${CFLAGS}"
-               PKG_CONFIG="$(tc-getPKG_CONFIG)"
-
-               # TODO: --verbose?
-               GIT_TEST_OPTS="--no-color"
-
-               OPTAR="$(tc-getAR)"
-               OPTCC="$(tc-getCC)"
-               OPTCFLAGS="${CFLAGS}"
-               OPTLDFLAGS="${LDFLAGS}"
-
-               PERL_PATH="${EPREFIX}/usr/bin/perl"
-               PERL_MM_OPT=""
-
-               PYTHON_PATH="${PYTHON_PATH}"
-
-               V=1
-               "$@"
-       )
-
-       emake "${mymakeargs[@]}"
-}
-
-src_configure() {
-       exportmakeopts
-}
-
-src_compile() {
-       git_emake
-
-       if use perl && use cgi ; then
-               git_emake gitweb
-       fi
-
-       if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
-               git_emake -C contrib/credential/osxkeychain
-       fi
-
-       pushd Documentation &>/dev/null || die
-       if [[ ${PV} == *9999 ]] ; then
-               git_emake man
-               if use doc ; then
-                       git_emake info html
-               fi
-       else
-               if use doc ; then
-                       git_emake info
-               fi
-       fi
-       popd &>/dev/null || die
-
-       if use gnome-keyring ; then
-               git_emake -C contrib/credential/libsecret
-       fi
-
-       pushd contrib/subtree &>/dev/null || die
-       git_emake git-subtree
-       # git-subtree.1 requires the full USE=doc dependency stack
-       use doc && git_emake git-subtree.html git-subtree.1
-       popd &>/dev/null || die
-
-       git_emake -C contrib/diff-highlight
-
-       if use mediawiki ; then
-               git_emake -C contrib/mw-to-git
-       fi
-}
-
-src_test() {
-       local disabled=(
-               # We make safe-directory optional
-               t0033-safe-directory.sh
-       )
-
-       local tests_cvs=(
-               t9200-git-cvsexportcommit.sh
-               t9400-git-cvsserver-server.sh
-               t9401-git-cvsserver-crlf.sh
-               t9402-git-cvsserver-refs.sh
-               t9600-cvsimport.sh
-               t9601-cvsimport-vendor-branch.sh
-               t9602-cvsimport-branches-tags.sh
-               t9603-cvsimport-patchsets.sh
-               t9604-cvsimport-timestamps.sh
-       )
-
-       local tests_perl=(
-               t3701-add-interactive.sh
-               t5502-quickfetch.sh
-               t5512-ls-remote.sh
-               t5520-pull.sh
-               t7106-reset-unborn-branch.sh
-               t7501-commit.sh
-       )
-       # Bug #225601 - t0004 is not suitable for root perm
-       # Bug #219839 - t1004 is not suitable for root perm
-       # t0001-init.sh - check for init notices EPERM*  fails
-       local tests_nonroot=(
-               t0001-init.sh
-               t0004-unwritable.sh
-               t0070-fundamental.sh
-               t1004-read-tree-m-u-wf.sh
-               t3700-add.sh
-               t7300-clean.sh
-       )
-       # t9100 still fails with symlinks in SVN 1.7
-       local test_svn=( t9100-git-svn-basic.sh )
-
-       # Unzip is used only for the testcase code, not by any normal parts of 
Git.
-       if ! has_version app-arch/unzip ; then
-               einfo "Disabling tar-tree tests"
-               disabled+=( t5000-tar-tree.sh )
-       fi
-
-       local cvs=0
-       use cvs && let cvs=${cvs}+1
-       if [[ ${EUID} -eq 0 ]] ; then
-               if [[ ${cvs} -eq 1 ]] ; then
-                       ewarn "Skipping CVS tests because CVS does not work as 
root!"
-                       ewarn "You should retest with FEATURES=userpriv!"
-                       disabled+=( ${tests_cvs[@]} )
-               fi
-               einfo "Skipping other tests that require being non-root"
-               disabled+=( ${tests_nonroot[@]} )
-       else
-               if [[ ${cvs} -gt 0 ]] && has_version dev-vcs/cvs ; then
-                       let cvs=${cvs}+1
-               fi
-
-               if [[ ${cvs} -gt 1 ]] && has_version "dev-vcs/cvs[server]" ; 
then
-                       let cvs=${cvs}+1
-               fi
-
-               if [[ ${cvs} -lt 3 ]] ; then
-                       einfo "Disabling CVS tests (needs 
dev-vcs/cvs[USE=server])"
-                       disabled+=( ${tests_cvs[@]} )
-               fi
-       fi
-
-       if ! use perl ; then
-               einfo "Disabling tests that need Perl"
-               disabled+=( ${tests_perl[@]} )
-       fi
-
-       einfo "Disabling tests that fail with SVN 1.7"
-       disabled+=( ${test_svn[@]} )
-
-       # Reset all previously disabled tests
-       pushd t &>/dev/null || die
-       local i
-       for i in *.sh.DISABLED ; do
-               [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
-       done
-       einfo "Disabled tests:"
-       for i in ${disabled[@]} ; do
-               if [[ -f "${i}" ]] ; then
-                       mv -f "${i}" "${i}.DISABLED" && einfo "Disabled ${i}"
-               fi
-       done
-
-       # Avoid the test system removing the results because we want them 
ourselves
-       sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' -i Makefile || die
-
-       # Clean old results first, must always run
-       nonfatal git_emake clean
-       popd &>/dev/null || die
-
-       # Now run the tests, keep going if we hit an error, and don't terminate 
on
-       # failure
-       local rc
-       einfo "Start test run"
-       #MAKEOPTS=-j1
-       nonfatal git_emake --keep-going test
-       rc=$?
-
-       # Display nice results, now print the results
-       pushd t &>/dev/null || die
-       nonfatal git_emake aggregate-results
-
-       # And bail if there was a problem
-       [[ ${rc} -eq 0 ]] || die "Tests failed. Please file a bug!"
-}
-
-src_install() {
-       git_emake DESTDIR="${D}" install
-
-       if [[ ${CHOST} == *-darwin* ]] && tc-is-clang ; then
-               dobin contrib/credential/osxkeychain/git-credential-osxkeychain
-       fi
-
-       # Depending on the tarball and manual rebuild of the documentation, the
-       # manpages may exist in either OR both of these directories.
-       find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
-       find Documentation/*.[157] >/dev/null 2>&1 && doman 
Documentation/*.[157]
-       dodoc README* Documentation/{SubmittingPatches,CodingGuidelines}
-       use doc && dodir /usr/share/doc/${PF}/html
-       local d
-       for d in / /howto/ /technical/ ; do
-               docinto ${d}
-               dodoc Documentation${d}*.txt
-               if use doc ; then
-                       docinto ${d}/html
-                       dodoc Documentation${d}*.html
-               fi
-       done
-       docinto /
-       # Upstream does not ship this pre-built :-(
-       use doc && doinfo Documentation/{git,gitman}.info
-
-       newbashcomp contrib/completion/git-completion.bash ${PN}
-       bashcomp_alias git gitk
-       # Not really a bash-completion file (bug #477920)
-       # but still needed uncompressed (bug #507480)
-       insinto /usr/share/${PN}
-       doins contrib/completion/git-prompt.sh
-
-       #dobin contrib/fast-import/git-p4 # Moved upstream
-       #dodoc contrib/fast-import/git-p4.txt # Moved upstream
-       newbin contrib/fast-import/import-tars.perl import-tars
-       exeinto /usr/libexec/git-core/
-       newexe contrib/git-resurrect.sh git-resurrect
-
-       # git-subtree
-       pushd contrib/subtree &>/dev/null || die
-       git_emake DESTDIR="${D}" install
-       if use doc ; then
-               # Do not move git subtree install-man outside USE=doc!
-               git_emake DESTDIR="${D}" install-man install-html
-       fi
-       newdoc README README.git-subtree
-       dodoc git-subtree.txt
-       popd &>/dev/null || die
-
-       if use mediawiki ; then
-               git_emake -C contrib/mw-to-git DESTDIR="${D}" install
-       fi
-
-       # diff-highlight
-       dobin contrib/diff-highlight/diff-highlight
-       newdoc contrib/diff-highlight/README README.diff-highlight
-
-       # git-jump
-       exeinto /usr/libexec/git-core/
-       doexe contrib/git-jump/git-jump
-       newdoc contrib/git-jump/README git-jump.txt
-
-       # git-contacts
-       exeinto /usr/libexec/git-core/
-       doexe contrib/contacts/git-contacts
-       dodoc contrib/contacts/git-contacts.txt
-
-       if use gnome-keyring ; then
-               pushd contrib/credential/libsecret &>/dev/null || die
-               dobin git-credential-libsecret
-               popd &>/dev/null || die
-       fi
-
-       dodir /usr/share/${PN}/contrib
-       # The following are excluded:
-       # completion - installed above
-       # diff-highlight - done above
-       # emacs - removed upstream
-       # examples - these are stuff that is not used in Git anymore actually
-       # git-jump - done above
-       # gitview - installed above
-       # p4import - excluded because fast-import has a better one
-       # patches - stuff the Git guys made to go upstream to other places
-       # persistent-https - TODO
-       # mw-to-git - TODO
-       # subtree - build  seperately
-       # svnimport - use git-svn
-       # thunderbird-patch-inline - fixes thunderbird
-       local contrib_objects=(
-               buildsystems
-               fast-import
-               hg-to-git
-               hooks
-               remotes2config.sh
-               rerere-train.sh
-               stats
-               workdir
-       )
-       local i
-       for i in "${contrib_objects[@]}" ; do
-               cp -rf "${S}"/contrib/${i} "${ED}"/usr/share/${PN}/contrib || 
die "Failed contrib ${i}"
-       done
-
-       if use perl && use cgi ; then
-               # We used to install in /usr/share/${PN}/gitweb
-               # but upstream installs in /usr/share/gitweb
-               # so we will install a symlink and use their location for 
compat with other
-               # distros
-               dosym ../gitweb /usr/share/${PN}/gitweb
-
-               # INSTALL discusses configuration issues, not just installation
-               docinto /
-               newdoc  "${S}"/gitweb/INSTALL INSTALL.gitweb
-               newdoc  "${S}"/gitweb/README README.gitweb
-
-               for d in "${ED}"/usr/lib{,64}/perl5/ ; do
-                       if [[ -d "${d}" ]] ; then
-                               find "${d}" -name .packlist -delete || die
-                       fi
-               done
-       else
-               rm -rf "${ED}"/usr/share/gitweb
-       fi
-
-       if ! use subversion ; then
-               rm -f "${ED}"/usr/libexec/git-core/git-svn \
-                       "${ED}"/usr/share/man/man1/git-svn.1*
-       fi
-
-       if use xinetd ; then
-               insinto /etc/xinetd.d
-               newins "${FILESDIR}"/git-daemon.xinetd git-daemon
-       fi
-
-       if ! use prefix ; then
-               newinitd "${FILESDIR}"/git-daemon-r2.initd git-daemon
-               newconfd "${FILESDIR}"/git-daemon.confd git-daemon
-               systemd_newunit "${FILESDIR}/git-daemon_at-r1.service" 
"[email protected]"
-               systemd_dounit "${FILESDIR}/git-daemon.socket"
-       fi
-
-       perl_delete_localpod
-
-       # Remove disabled linguas
-       # we could remove sources in src_prepare, but install does not
-       # handle missing locale dir well
-       rm_loc() {
-               if [[ -e "${ED}/usr/share/locale/${1}" ]] ; then
-                       rm -r "${ED}/usr/share/locale/${1}" || die
-               fi
-       }
-       plocale_for_each_disabled_locale rm_loc
-}
-
-pkg_postinst() {
-       if [[ -z ${REPLACING_VERSIONS} ]] ; then
-               elog "Please read /usr/share/bash-completion/completions/git 
for Git bash command"
-               elog "completion."
-               elog "Please read /usr/share/git/git-prompt.sh for Git bash 
prompt"
-               elog "Note that the prompt bash code is now in that separate 
script"
-       fi
-
-       optfeature_header "Some scripts require additional dependencies:"
-       optfeature git-quiltimport dev-util/quilt
-       optfeature git-instaweb www-servers/lighttpd www-servers/apache 
www-servers/nginx
-}


Reply via email to